import { Flex } from 'antd';
import React from 'react';
import DescriptionItem from '../../../../components/DescriptionItem';
import RealtimeIndex from '../RealtimeIndex';
import styles from './index.less';

const RoadAndBridge: React.FC = () => {
  return (
    <div className={styles.container}>
      <div className={styles.container}>
        <Flex justify="space-between">
          <RealtimeIndex
            riskNum={0}
            value={95.5}
            compareOneHour={1.3}
          ></RealtimeIndex>
          <div className={styles.rightWrap}>
            <DescriptionItem value={48} name="道桥病害" unit="处" />
            <DescriptionItem
              value={156}
              style={{
                marginTop: 20,
              }}
              name="占道挖掘违规问题"
              unit="处"
            />
          </div>
        </Flex>
      </div>
    </div>
  );
};

export default RoadAndBridge;
